Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/remote-fence-unclean-3.exp
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/remote-fence-unclean-3.exp
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/remote-fence-unclean-3.exp
@@ -77,7 +77,7 @@
     <action_set>
       <rsc_op id="57" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -86,7 +86,7 @@
     <action_set>
       <rsc_op id="50" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-0"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-0"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -95,7 +95,7 @@
     <action_set>
       <rsc_op id="58" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -104,7 +104,7 @@
     <action_set>
       <rsc_op id="43" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-1"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-1"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -113,7 +113,7 @@
     <action_set>
       <rsc_op id="51" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -122,7 +122,7 @@
     <action_set>
       <rsc_op id="44" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-2"  port="3121"/>
+        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-2"  port="3121"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -131,7 +131,7 @@
     <action_set>
       <rsc_op id="59" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-0"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-0"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -140,7 +140,7 @@
     <action_set>
       <rsc_op id="52" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-0"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-0"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -149,7 +149,7 @@
     <action_set>
       <rsc_op id="60" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-1"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-1"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -158,7 +158,7 @@
     <action_set>
       <rsc_op id="45" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-1"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-1"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -167,7 +167,7 @@
     <action_set>
       <rsc_op id="53" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-2"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-2"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -176,7 +176,7 @@
     <action_set>
       <rsc_op id="46" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-2"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-2"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -185,7 +185,7 @@
     <action_set>
       <rsc_op id="61" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-0"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-0"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -194,7 +194,7 @@
     <action_set>
       <rsc_op id="54" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-0"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-0"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -203,7 +203,7 @@
     <action_set>
       <rsc_op id="62" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="overcloud-controller-2" on_node_uuid="3">
         <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-1"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="overcloud-controller-2" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-1"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -212,7 +212,7 @@
     <action_set>
       <rsc_op id="47" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-1"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-1"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -221,7 +221,7 @@
     <action_set>
       <rsc_op id="55" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="overcloud-controller-1" on_node_uuid="2">
         <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="overcloud-controller-1" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -230,7 +230,7 @@
     <action_set>
       <rsc_op id="48" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="overcloud-controller-0" on_node_uuid="1">
         <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="overcloud-controller-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="overcloud-controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="overcloud-controller-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-stop-on-remote.dot
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-stop-on-remote.dot
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-stop-on-remote.dot
@@ -1,4 +1,10 @@
 digraph "g" {
+"Cancel galera-bundle-1_monitor_60000 controller-2" [ style=bold color="green" fontcolor="black"]
+"Cancel rabbitmq-bundle-0_monitor_60000 controller-2" [ style=bold color="green" fontcolor="black"]
+"Cancel rabbitmq-bundle-1_monitor_60000 controller-2" [ style=bold color="green" fontcolor="black"]
+"Cancel rabbitmq-bundle-2_monitor_60000 controller-2" [ style=bold color="green" fontcolor="black"]
+"Cancel redis-bundle-0_monitor_60000 controller-0" [ style=bold color="green" fontcolor="black"]
+"Cancel redis-bundle-2_monitor_60000 controller-2" [ style=bold color="green" fontcolor="black"]
 "database-0_monitor_20000 controller-0" [ style=bold color="green" fontcolor="black"]
 "database-0_start_0 controller-0" -> "database-0_monitor_20000 controller-0" [ style = bold]
 "database-0_start_0 controller-0" -> "galera-bundle-docker-0_monitor_60000 database-0" [ style = bold]
@@ -13,16 +19,17 @@ digraph "g" {
 "database-2_start_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-0_monitor_0 controller-1" -> "galera-bundle-0_start_0 controller-0" [ style = bold]
 "galera-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
-"galera-bundle-0_monitor_60000 controller-0" [ style=bold color="green" fontcolor="black"]
-"galera-bundle-0_start_0 controller-0" -> "galera-bundle-0_monitor_60000 controller-0" [ style = bold]
+"galera-bundle-0_monitor_30000 controller-0" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-0_start_0 controller-0" -> "galera-bundle-0_monitor_30000 controller-0" [ style = bold]
 "galera-bundle-0_start_0 controller-0" -> "galera_monitor_10000 galera-bundle-0" [ style = bold]
 "galera-bundle-0_start_0 controller-0" -> "galera_promote_0 galera-bundle-0" [ style = bold]
 "galera-bundle-0_start_0 controller-0" -> "galera_start_0 galera-bundle-0" [ style = bold]
 "galera-bundle-0_start_0 controller-0" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-1_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-2_monitor_0 controller-1" -> "galera-bundle-2_start_0 controller-1" [ style = bold]
 "galera-bundle-2_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
-"galera-bundle-2_monitor_60000 controller-1" [ style=bold color="green" fontcolor="black"]
-"galera-bundle-2_start_0 controller-1" -> "galera-bundle-2_monitor_60000 controller-1" [ style = bold]
+"galera-bundle-2_monitor_30000 controller-1" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-2_start_0 controller-1" -> "galera-bundle-2_monitor_30000 controller-1" [ style = bold]
 "galera-bundle-2_start_0 controller-1" -> "galera_monitor_10000 galera-bundle-2" [ style = bold]
 "galera-bundle-2_start_0 controller-1" -> "galera_promote_0 galera-bundle-2" [ style = bold]
 "galera-bundle-2_start_0 controller-1" -> "galera_start_0 galera-bundle-2" [ style = bold]
@@ -163,14 +170,19 @@ digraph "g" {
 "openstack-cinder-volume_monitor_60000 controller-0" [ style=bold color="green" fontcolor="black"]
 "openstack-cinder-volume_start_0 controller-0" -> "openstack-cinder-volume_monitor_60000 controller-0" [ style = bold]
 "openstack-cinder-volume_start_0 controller-0" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-1_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-2_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_monitor_30000 controller-0" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-1_monitor_0 controller-1" -> "redis-bundle-1_start_0 controller-1" [ style = bold]
 "redis-bundle-1_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
-"redis-bundle-1_monitor_60000 controller-1" [ style=bold color="green" fontcolor="black"]
-"redis-bundle-1_start_0 controller-1" -> "redis-bundle-1_monitor_60000 controller-1" [ style = bold]
+"redis-bundle-1_monitor_30000 controller-1" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-1_start_0 controller-1" -> "redis-bundle-1_monitor_30000 controller-1" [ style = bold]
 "redis-bundle-1_start_0 controller-1" -> "redis:1_monitor_45000 redis-bundle-1" [ style = bold]
 "redis-bundle-1_start_0 controller-1" -> "redis:1_monitor_60000 redis-bundle-1" [ style = bold]
 "redis-bundle-1_start_0 controller-1" -> "redis:1_start_0 redis-bundle-1" [ style = bold]
 "redis-bundle-1_start_0 controller-1" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-2_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-docker-1_monitor_60000 controller-1" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-docker-1_start_0 controller-1" -> "redis-bundle-1_monitor_0 controller-1" [ style = bold]
 "redis-bundle-docker-1_start_0 controller-1" -> "redis-bundle-1_start_0 controller-1" [ style = bold]
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-stop-on-remote.summary
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-stop-on-remote.summary
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-stop-on-remote.summary
@@ -74,7 +74,19 @@ Transition Summary:
 Executing cluster transition:
  * Resource action: database-0      start on controller-0
  * Resource action: database-2      start on controller-1
+ * Resource action: rabbitmq-bundle-0 monitor=30000 on controller-2
+ * Resource action: rabbitmq-bundle-0 cancel=60000 on controller-2
+ * Resource action: rabbitmq-bundle-1 monitor=30000 on controller-2
+ * Resource action: rabbitmq-bundle-1 cancel=60000 on controller-2
+ * Resource action: rabbitmq-bundle-2 monitor=30000 on controller-2
+ * Resource action: rabbitmq-bundle-2 cancel=60000 on controller-2
+ * Resource action: galera-bundle-1 monitor=30000 on controller-2
+ * Resource action: galera-bundle-1 cancel=60000 on controller-2
  * Pseudo action:   redis-bundle-master_pre_notify_start_0
+ * Resource action: redis-bundle-0  monitor=30000 on controller-0
+ * Resource action: redis-bundle-0  cancel=60000 on controller-0
+ * Resource action: redis-bundle-2  monitor=30000 on controller-2
+ * Resource action: redis-bundle-2  cancel=60000 on controller-2
  * Resource action: stonith-fence_ipmilan-525400c709f7 start on controller-1
  * Resource action: stonith-fence_ipmilan-5254005ea387 start on controller-1
  * Resource action: stonith-fence_ipmilan-525400542c06 start on controller-0
@@ -124,7 +136,7 @@ Executing cluster transition:
  * Pseudo action:   galera-bundle-master_stopped_0
  * Resource action: redis           start on redis-bundle-1
  * Pseudo action:   redis-bundle-master_running_0
- * Resource action: redis-bundle-1  monitor=60000 on controller-1
+ * Resource action: redis-bundle-1  monitor=30000 on controller-1
  * Resource action: haproxy-bundle-docker-1 monitor=60000 on controller-1
  * Pseudo action:   galera-bundle_stopped_0
  * Pseudo action:   galera-bundle_start_0
@@ -146,8 +158,8 @@ Executing cluster transition:
  * Resource action: galera          start on galera-bundle-0
  * Resource action: galera          start on galera-bundle-2
  * Pseudo action:   galera-bundle-master_running_0
- * Resource action: galera-bundle-0 monitor=60000 on controller-0
- * Resource action: galera-bundle-2 monitor=60000 on controller-1
+ * Resource action: galera-bundle-0 monitor=30000 on controller-0
+ * Resource action: galera-bundle-2 monitor=30000 on controller-1
  * Pseudo action:   redis-bundle-master_pre_notify_promote_0
  * Pseudo action:   redis-bundle_promote_0
  * Pseudo action:   galera-bundle_running_0
